/ api / name / gb.add
GB.Add
Syntax

    void *GB.Add ( void *parray )

Adds a new element after the end of a memory array, by expanding it.

- parray is a pointer to the memory array that was casted to `void *`.

This function returned a pointer to the newly created element in the array. The element is not initialized.

### Examples

    /* Adds an element to a previously allocated integer array */

    int *array;
    int *elt;

    elt = (int *)GB.Add((void *)&array);
    *elt = 1972;

### See also

Memory Arrays Management